// Oleg Petruny proprietary.

#pragma once

#include "CoreMinimal.h"
#include "Engine/GameInstance.h"

#include "CustomGameInstanceBase.generated.h"

UCLASS()
class UCustomGameInstanceBase : public UGameInstance
{
    GENERATED_BODY()

public:
    virtual void Init() override;

    UFUNCTION(BlueprintCallable, Category = Settings)
    void ApplyMouseSettings();

    UPROPERTY(EditDefaultsOnly)
    TArray<TSubclassOf<class UInteractableActivator>> interactionsActivators;

protected:
    UPROPERTY(EditDefaultsOnly)
    TArray<TSoftObjectPtr<class UInputMappingContext>> defaultInputContexts;
};
